### Method

# GtkSource MarkAttributes render_icon

#### Declaration [src]

    GdkPaintable*
    gtk_source_mark_attributes_render_icon (
      GtkSourceMarkAttributes* attributes,
      GtkWidget* widget,
      gint size
    )

#### Description [src]

Renders an icon of given size.

The base of the icon is set by the last call to one of:

- `gtk_source_mark_attributes_set_pixbuf()`
- `gtk_source_mark_attributes_set_gicon()`
- `gtk_source_mark_attributes_set_icon_name()`

`size` cannot be lower than 1.

#### Parameters

`widget`

  Type: `GtkWidget`

  Widget of which style settings may be used.

  The data is owned by the caller of the method.

`size`

  Type: `gint`

  Size of the rendered icon.

#### Return value

Type: `GdkPaintable`

A `GdkPaintable`. The paintable belongs to `attributes` and should not be unreffed.

The returned data is owned by the instance.